X86_CC:=gcc
MIPS_CC:=/root/buildroot/staging_dir_mipsel/bin/mipsel-linux-gcc
all:
	$(MIPS_CC) -g -Wall -DMIPSBUILD utsa-udp-traffic.c -o udp-traffic
	$(MIPS_CC) -g -Wall -DMIPSBUILD utsa-tcp-traffic.c -o tcp-traffic
	$(MIPS_CC) -g -Wall -DMIPSBUILD utsa-udp-log.c -o dmesg-aodv-log

debug:
	$(MIPS_CC) -g -Wall -DDEBUG -DMIPSBUILD utsa-udp-traffic.c -o udp-traffic-debug
	$(MIPS_CC) -g -Wall -DDEBUG -DMIPSBUILD utsa-tcp-traffic.c -o tcp-traffic
	$(MIPS_CC) -g -Wall -DDEBUG -DMIPSBUILD utsa-udp-log.c -o dmesg-aodv-log

clean:
	rm -rf udp-*
